From caebf8d90715a66407a0ef5910707fb923d0161c Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 18 Feb 2026 10:55:08 +0000
Subject: [PATCH] libx11,libfontenc: upgrade 1.8.12 -> 1.8.13,1.1.8 -> 1.1.9

---
 ...ibfontenc_1.1.8.bb => libfontenc_1.1.9.bb} |  2 +-
 .../xorg-lib/libx11/disable_tests.patch       |  2 +-
 .../{libx11_1.8.12.bb => libx11_1.8.13.bb}    | 53 ++++++++++++++++++-
 3 files changed, 53 insertions(+), 4 deletions(-)
 rename meta/recipes-graphics/xorg-lib/{libfontenc_1.1.8.bb => libfontenc_1.1.9.bb} (80%)
 rename meta/recipes-graphics/xorg-lib/{libx11_1.8.12.bb => libx11_1.8.13.bb} (30%)

diff --git a/meta/recipes-graphics/xorg-lib/libfontenc_1.1.8.bb b/meta/recipes-graphics/xorg-lib/libfontenc_1.1.9.bb
similarity index 80%
rename from meta/recipes-graphics/xorg-lib/libfontenc_1.1.8.bb
rename to meta/recipes-graphics/xorg-lib/libfontenc_1.1.9.bb
index 0fc117fc58..0727825112 100644
--- a/meta/recipes-graphics/xorg-lib/libfontenc_1.1.8.bb
+++ b/meta/recipes-graphics/xorg-lib/libfontenc_1.1.9.bb
@@ -11,6 +11,6 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=96254c20ab81c63e65b26f0dbcd4a1c1"
 DEPENDS += "zlib xorgproto font-util"
 PE = "1"
 
-SRC_URI[sha256sum] = "7b02c3d405236e0d86806b1de9d6868fe60c313628b38350b032914aa4fd14c6"
+SRC_URI[sha256sum] = "9d8392705cb10803d5fe1d27d236cbab3f664e26841ce01916bbbe430cf273e2"
 
 BBCLASSEXTEND = "native"
diff --git a/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch b/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
index d2c5f5f142..1e2d597f49 100644
--- a/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
+++ b/meta/recipes-graphics/xorg-lib/libx11/disable_tests.patch
@@ -1,4 +1,4 @@
-From 37debe301336cfb61e7f81e9e47e5e1019177d8c Mon Sep 17 00:00:00 2001
+From 0bdc2a3e60c49eab8a8ddd09268b4275b8486260 Mon Sep 17 00:00:00 2001
 From: Marko Lindqvist <cazfi74@gmail.com>
 Date: Tue, 8 Jan 2013 09:16:37 +0200
 Subject: [PATCH] libx11: disable tests
diff --git a/meta/recipes-graphics/xorg-lib/libx11_1.8.12.bb b/meta/recipes-graphics/xorg-lib/libx11_1.8.13.bb
similarity index 30%
rename from meta/recipes-graphics/xorg-lib/libx11_1.8.12.bb
rename to meta/recipes-graphics/xorg-lib/libx11_1.8.13.bb
index 580e44889d..69c7dbe984 100644
--- a/meta/recipes-graphics/xorg-lib/libx11_1.8.12.bb
+++ b/meta/recipes-graphics/xorg-lib/libx11_1.8.13.bb
@@ -1,3 +1,52 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- COPYING
+# +++ COPYING
+# @@ -715,35 +715,6 @@
+#  
+#  		----------------------------------------
+#  
+# -(c) Copyright 1996 by Sebastien Marineau and Holger Veit
+# -			<marineau@genie.uottawa.ca>
+# -                     <Holger.Veit@gmd.de>
+# -
+# -Permission is hereby granted, free of charge, to any person obtaining a
+# -copy of this software and associated documentation files (the "Software"),
+# -to deal in the Software without restriction, including without limitation
+# -the rights to use, copy, modify, merge, publish, distribute, sublicense,
+# -and/or sell copies of the Software, and to permit persons to whom the
+# -Software is furnished to do so, subject to the following conditions:
+# -
+# -The above copyright notice and this permission notice shall be included in
+# -all copies or substantial portions of the Software.
+# -
+# -THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# -IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# -FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+# -HOLGER VEIT  BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
+# -WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
+# -OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+# -SOFTWARE.
+# -
+# -Except as contained in this notice, the name of Sebastien Marineau or Holger Veit
+# -shall not be used in advertising or otherwise to promote the sale, use or other
+# -dealings in this Software without prior written authorization from Holger Veit or
+# -Sebastien Marineau.
+# -
+# -		----------------------------------------
+# -
+#  Copyright 1990, 1991 by OMRON Corporation, NTT Software Corporation,
+#                       and Nippon Telegraph and Telephone Corporation
+#  Copyright 1991 by the Open Software Foundation
+# 
+#
+
 SUMMARY = "Xlib: C Language X Interface library"
 
 DESCRIPTION = "This package provides a client interface to the X Window \
@@ -7,7 +56,7 @@ basic functions of the window system."
 require xorg-lib-common.inc
 
 LICENSE = "MIT & BSD-1-Clause & HPND & HPND-sell-variant & ISC"
-LIC_FILES_CHKSUM = "file://COPYING;md5=1d49cdd2b386c5db11ec636d680b7116"
+LIC_FILES_CHKSUM = "file://COPYING;md5=8f2a1d92c4a50eedcf7c12672b908851"
 
 DEPENDS += "xorgproto \
             xtrans \
@@ -23,7 +72,7 @@ XORG_PN = "libX11"
 
 SRC_URI += "file://disable_tests.patch"
 
-SRC_URI[sha256sum] = "fa026f9bb0124f4d6c808f9aef4057aad65e7b35d8ff43951cef0abe06bb9a9a"
+SRC_URI[sha256sum] = "69606f485c2c07c14ef64f75b7bb326d48587af33795d9ab3e607c0b5f94f11c"
 
 inherit gettext
 
-- 
2.47.1

